JITSignature (Jython API documentation)
Date: 2022-09-10

org.python.modules.jffi

## Class JITSignature

- java.lang.Object
- - org.python.modules.jffi.JITSignature

-     public final class JITSignature
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JITSignature(NativeType resultType, NativeType[] parameterTypes, boolean hasResultConverter, boolean[] hasParameterConverter, com.kenai.jffi.CallingConvention convention, boolean ignoreError)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `com.kenai.jffi.CallingConvention` | `getCallingConvention()`
    `int` | `getParameterCount()`
    `NativeType` | `getParameterType(int parameterIndex)`
    `NativeType` | `getResultType()`
    `int` | `hashCode()`
    `boolean` | `hasParameterConverter(int parameterIndex)`
    `boolean` | `hasResultConverter()`
    `boolean` | `isIgnoreError()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JITSignature

          public JITSignature(NativeType resultType,
                              NativeType[] parameterTypes,
                              boolean hasResultConverter,
                              boolean[] hasParameterConverter,
                              com.kenai.jffi.CallingConvention convention,
                              boolean ignoreError)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getResultType

          public final NativeType getResultType()

    - #### getParameterType

          public final NativeType getParameterType(int parameterIndex)

    - #### getCallingConvention

          public final com.kenai.jffi.CallingConvention getCallingConvention()

    - #### getParameterCount

          public final int getParameterCount()

    - #### hasResultConverter

          public final boolean hasResultConverter()

    - #### hasParameterConverter

          public final boolean hasParameterConverter(int parameterIndex)

    - #### isIgnoreError

          public boolean isIgnoreError()

Jython homepage